package com.siwei.rsmonitoring.service;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkGeomDbDetails;

/**
 * 地块入库信息空间详情Service接口
 * 
 * @author siwei
 * @date 2025-02-07
 */
public interface ITDkGeomDbDetailsService 
{
    /**
     * 查询地块入库信息空间详情
     * 
     * @param id 地块入库信息空间详情主键
     * @return 地块入库信息空间详情
     */
    public TDkGeomDbDetails selectTDkGeomDbDetailsById(String id);

    /**
     * 查询地块入库信息空间详情列表
     * 
     * @param tDkGeomDbDetails 地块入库信息空间详情
     * @return 地块入库信息空间详情集合
     */
    public List<TDkGeomDbDetails> selectTDkGeomDbDetailsList(TDkGeomDbDetails tDkGeomDbDetails);

    /**
     * 新增地块入库信息空间详情
     * 
     * @param tDkGeomDbDetails 地块入库信息空间详情
     * @return 结果
     */
    public int insertTDkGeomDbDetails(TDkGeomDbDetails tDkGeomDbDetails);

    /**
     * 修改地块入库信息空间详情
     * 
     * @param tDkGeomDbDetails 地块入库信息空间详情
     * @return 结果
     */
    public int updateTDkGeomDbDetails(TDkGeomDbDetails tDkGeomDbDetails);

    /**
     * 批量删除地块入库信息空间详情
     * 
     * @param ids 需要删除的地块入库信息空间详情主键集合
     * @return 结果
     */
    public int deleteTDkGeomDbDetailsByIds(String[] ids);

    public int deleteTDkGeomDbDetailsByUploadIds(String[] ids);

    /**
     * 删除地块入库信息空间详情信息
     * 
     * @param id 地块入库信息空间详情主键
     * @return 结果
     */
    public int deleteTDkGeomDbDetailsById(String id);
}
